Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Library

    java.lang.Object
      |
      +--org.hsqldb.Library

class Library
extends java.lang.Object

Class declaration

Field Summary
`(package private) static double` | `LOG10_FACTOR`
`(package private) static java.util.Random` | `rRandom`
`(package private) static java.lang.String[]` | `sNumeric`
`(package private) static java.lang.String[]` | `sString`
`(package private) static java.lang.String[]` | `sSystem`
`(package private) static java.lang.String[]` | `sTimeDate`

Constructor Summary
`(package private)` | `Library()`

Method Summary
`static java.lang.Integer` | `ascii(java.lang.String s)` Method declaration
`static int` | `bitand(int i, int j)` Method declaration
`static int` | `bitor(int i, int j)` Method declaration
`static java.lang.String` | `character(int code)` Method declaration
`static java.lang.String` | `concat(java.lang.String s1, java.lang.String s2)` Method declaration
`static double` | `cot(double d)` Method declaration
`static java.sql.Date` | `curdate()` Method declaration
`static java.sql.Time` | `curtime()` Method declaration
`static java.lang.String` | `database(java.sql.Connection conn)` Method declaration
`static java.lang.String` | `dayname(java.sql.Date d)` Method declaration
`static int` | `dayofmonth(java.sql.Date d)` Method declaration
`static int` | `dayofweek(java.sql.Date d)` Method declaration
`static int` | `dayofyear(java.sql.Date d)` Method declaration
`static int` | `difference(java.lang.String s1, java.lang.String s2)` Method declaration
`static int` | `hour(java.sql.Time t)` Method declaration
`static int` | `identity(java.sql.Connection conn)` Method declaration
`static java.lang.String` | `insert(java.lang.String s1, int start, int length, java.lang.String s2)` Method declaration
`static java.lang.String` | `lcase(java.lang.String s)` Method declaration
`static java.lang.String` | `left(java.lang.String s, int i)` Method declaration
`static int` | `length(java.lang.String s)` Method declaration
`static int` | `locate(java.lang.String search, java.lang.String s, java.lang.Integer start)` Method declaration
`static double` | `log10(double x)` Method declaration
`static java.lang.String` | `ltrim(java.lang.String s)` Method declaration
`static int` | `minute(java.sql.Time t)` Method declaration
`static int` | `mod(int i1, int i2)` Method declaration
`static int` | `month(java.sql.Date d)` Method declaration
`static java.lang.String` | `monthname(java.sql.Date d)` Method declaration
`static java.sql.Timestamp` | `now()` Method declaration
`static double` | `pi()` Method declaration
`static int` | `quarter(java.sql.Date d)` Method declaration
`static double` | `rand(java.lang.Integer i)` Method declaration
`(package private) static void` | `register(java.util.Hashtable h)` Method declaration
`static java.lang.String` | `repeat(java.lang.String s, int i)` Method declaration
`static java.lang.String` | `replace(java.lang.String s, java.lang.String replace, java.lang.String with)` Method declaration
`static java.lang.String` | `right(java.lang.String s, int i)` Method declaration
`static double` | `round(double d, int p)` Method declaration
`static double` | `roundMagic(double d)` Method declaration
`static java.lang.String` | `rtrim(java.lang.String s)` Method declaration
`static int` | `second(java.sql.Date d)` Method declaration
`static int` | `sign(double d)` Method declaration
`static java.lang.String` | `soundex(java.lang.String s)` Method declaration
`static java.lang.String` | `space(int i)` Method declaration
`static java.lang.String` | `substring(java.lang.String s, int start, java.lang.Integer length)` Method declaration
`static double` | `truncate(double d, int p)` Method declaration
`static java.lang.String` | `ucase(java.lang.String s)` Method declaration
`static java.lang.String` | `user(java.sql.Connection conn)` Method declaration
`static int` | `week(java.sql.Date d)` Method declaration
`static int` | `year(java.sql.Date d)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sNumeric

    static final java.lang.String[] sNumeric

### sString

    static final java.lang.String[] sString

### sTimeDate

    static final java.lang.String[] sTimeDate

### sSystem

    static final java.lang.String[] sSystem

### rRandom

    static java.util.Random rRandom

### LOG10_FACTOR

    static double LOG10_FACTOR

Constructor Detail

### Library

    Library()

Method Detail

### register

    static void register(java.util.Hashtable h)

  Method declaration
  Parameters:
    `h` -

### rand

    public static double rand(java.lang.Integer i)

  Method declaration
  Parameters:
    `i` -
  Returns:

### log10

    public static double log10(double x)

  Method declaration
  Parameters:
    `x` -
  Returns:

### roundMagic

    public static double roundMagic(double d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### cot

    public static double cot(double d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### mod

    public static int mod(int i1,
                          int i2)

  Method declaration
  Parameters:
    `i1` -
    `i2` -
  Returns:

### pi

    public static double pi()

  Method declaration
  Returns:

### round

    public static double round(double d,
                               int p)

  Method declaration
  Parameters:
    `d` -
    `p` -
  Returns:

### sign

    public static int sign(double d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### truncate

    public static double truncate(double d,
                                  int p)

  Method declaration
  Parameters:
    `d` -
    `p` -
  Returns:

### bitand

    public static int bitand(int i,
                             int j)

  Method declaration
  Parameters:
    `i` -
    `j` -
  Returns:

### bitor

    public static int bitor(int i,
                            int j)

  Method declaration
  Parameters:
    `i` -
    `j` -
  Returns:

### ascii

    public static java.lang.Integer ascii(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### character

    public static java.lang.String character(int code)

  Method declaration
  Parameters:
    `code` -
  Returns:

### concat

    public static java.lang.String concat(java.lang.String s1,
                                          java.lang.String s2)

  Method declaration
  Parameters:
    `s1` -
    `s2` -
  Returns:

### difference

    public static int difference(java.lang.String s1,
                                 java.lang.String s2)

  Method declaration
  Parameters:
    `s1` -
    `s2` -
  Returns:

### insert

    public static java.lang.String insert(java.lang.String s1,
                                          int start,
                                          int length,
                                          java.lang.String s2)

  Method declaration
  Parameters:
    `s1` -
    `start` -
    `length` -
    `s2` -
  Returns:

### lcase

    public static java.lang.String lcase(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### left

    public static java.lang.String left(java.lang.String s,
                                        int i)

  Method declaration
  Parameters:
    `s` -
    `i` -
  Returns:

### length

    public static int length(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### locate

    public static int locate(java.lang.String search,
                             java.lang.String s,
                             java.lang.Integer start)

  Method declaration
  Parameters:
    `search` -
    `s` -
    `start` -
  Returns:

### ltrim

    public static java.lang.String ltrim(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### repeat

    public static java.lang.String repeat(java.lang.String s,
                                          int i)

  Method declaration
  Parameters:
    `s` -
    `i` -
  Returns:

### replace

    public static java.lang.String replace(java.lang.String s,
                                           java.lang.String replace,
                                           java.lang.String with)

  Method declaration
  Parameters:
    `s` -
    `replace` -
    `with` -
  Returns:

### right

    public static java.lang.String right(java.lang.String s,
                                         int i)

  Method declaration
  Parameters:
    `s` -
    `i` -
  Returns:

### rtrim

    public static java.lang.String rtrim(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### soundex

    public static java.lang.String soundex(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### space

    public static java.lang.String space(int i)

  Method declaration
  Parameters:
    `i` -
  Returns:

### substring

    public static java.lang.String substring(java.lang.String s,
                                             int start,
                                             java.lang.Integer length)

  Method declaration
  Parameters:
    `s` -
    `start` -
    `length` -
  Returns:

### ucase

    public static java.lang.String ucase(java.lang.String s)

  Method declaration
  Parameters:
    `s` -
  Returns:

### curdate

    public static java.sql.Date curdate()

  Method declaration
  Returns:

### curtime

    public static java.sql.Time curtime()

  Method declaration
  Returns:

### dayname

    public static java.lang.String dayname(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### dayofmonth

    public static int dayofmonth(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### dayofweek

    public static int dayofweek(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### dayofyear

    public static int dayofyear(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### hour

    public static int hour(java.sql.Time t)

  Method declaration
  Parameters:
    `t` -
  Returns:

### minute

    public static int minute(java.sql.Time t)

  Method declaration
  Parameters:
    `t` -
  Returns:

### month

    public static int month(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### monthname

    public static java.lang.String monthname(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### now

    public static java.sql.Timestamp now()

  Method declaration
  Returns:

### quarter

    public static int quarter(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### second

    public static int second(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### week

    public static int week(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### year

    public static int year(java.sql.Date d)

  Method declaration
  Parameters:
    `d` -
  Returns:

### database

    public static java.lang.String database(java.sql.Connection conn)
                                     throws java.sql.SQLException

  Method declaration
  Parameters:
    `conn` -
  Returns:
  Throws:
    java.sql.SQLException -

### user

    public static java.lang.String user(java.sql.Connection conn)
                                 throws java.sql.SQLException

  Method declaration
  Parameters:
    `conn` -
  Returns:
  Throws:
    java.sql.SQLException -

### identity

    public static int identity(java.sql.Connection conn)
                        throws java.sql.SQLException

  Method declaration
  Parameters:
    `conn` -
  Returns:
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD